package com.ruoyi.app.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 app_pms_order_in
 *
 * @author ruoyi
 * @date 2025-02-22
 */
public class AppPmsOrderIn extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 入库单号 */
    private String listId;

    /** 订单类型 */
    @Excel(name = "订单类型")
    private Long orderType;

    /** 客户ID */
    @Excel(name = "客户ID")
    private String customerId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderId;

    /** 物料号 */
    @Excel(name = "物料号")
    private String goodsId;

    /** 数量 */
    @Excel(name = "数量")
    private BigDecimal goodsNum;

    /** 使用数量（已入库数量） */
    @Excel(name = "使用数量", readConverterExp = "已=入库数量")
    private BigDecimal usedNum;

    /** 剩余数量 */
    @Excel(name = "剩余数量")
    private BigDecimal remainingNum;

    /** 物料条码 */
    @Excel(name = "物料条码")
    private String goodsCode;

    /** 物料描述 */
    @Excel(name = "物料描述")
    private String goodsDesc;

    /** 物料单位 */
    @Excel(name = "物料单位")
    private String unit;

    /** 预留1 */
    @Excel(name = "预留1")
    private String spare1;

    /** 预留2 */
    @Excel(name = "预留2")
    private String spare2;

    /** 订单状态 */
    @Excel(name = "订单状态")
    private Long orderStatus;

    public void setListId(String listId)
    {
        this.listId = listId;
    }

    public String getListId()
    {
        return listId;
    }
    public void setOrderType(Long orderType)
    {
        this.orderType = orderType;
    }

    public Long getOrderType()
    {
        return orderType;
    }
    public void setCustomerId(String customerId)
    {
        this.customerId = customerId;
    }

    public String getCustomerId()
    {
        return customerId;
    }
    public void setOrderId(String orderId)
    {
        this.orderId = orderId;
    }

    public String getOrderId()
    {
        return orderId;
    }
    public void setGoodsId(String goodsId)
    {
        this.goodsId = goodsId;
    }

    public String getGoodsId()
    {
        return goodsId;
    }
    public void setGoodsNum(BigDecimal goodsNum)
    {
        this.goodsNum = goodsNum;
    }

    public BigDecimal getGoodsNum()
    {
        return goodsNum;
    }
    public void setUsedNum(BigDecimal usedNum)
    {
        this.usedNum = usedNum;
    }

    public BigDecimal getUsedNum()
    {
        return usedNum;
    }
    public void setRemainingNum(BigDecimal remainingNum)
    {
        this.remainingNum = remainingNum;
    }

    public BigDecimal getRemainingNum()
    {
        return remainingNum;
    }
    public void setGoodsCode(String goodsCode)
    {
        this.goodsCode = goodsCode;
    }

    public String getGoodsCode()
    {
        return goodsCode;
    }
    public void setGoodsDesc(String goodsDesc)
    {
        this.goodsDesc = goodsDesc;
    }

    public String getGoodsDesc()
    {
        return goodsDesc;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setSpare1(String spare1)
    {
        this.spare1 = spare1;
    }

    public String getSpare1()
    {
        return spare1;
    }
    public void setSpare2(String spare2)
    {
        this.spare2 = spare2;
    }

    public String getSpare2()
    {
        return spare2;
    }
    public void setOrderStatus(Long orderStatus)
    {
        this.orderStatus = orderStatus;
    }

    public Long getOrderStatus()
    {
        return orderStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("listId", getListId())
                .append("orderType", getOrderType())
                .append("customerId", getCustomerId())
                .append("orderId", getOrderId())
                .append("goodsId", getGoodsId())
                .append("goodsNum", getGoodsNum())
                .append("usedNum", getUsedNum())
                .append("remainingNum", getRemainingNum())
                .append("goodsCode", getGoodsCode())
                .append("goodsDesc", getGoodsDesc())
                .append("unit", getUnit())
                .append("spare1", getSpare1())
                .append("spare2", getSpare2())
                .append("orderStatus", getOrderStatus())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
